<template>
  <div>
    <div :class="backgroundAuth" @click="hideLogin"></div>
    <div class="login-component">
      <div class="dialog-l" v-if="authType === 'login'">
        <h2>GraffSound</h2>
        <h2>Login to continue</h2>
        <br />
        <a-input
          class="username-input"
          size="large"
          ref="userNameInput"
          v-model="userName"
          placeholder="Email or username">
          <a-icon style="color: #fff; font-size: 14px" class="icon-login" slot="suffix" type="mail"/>
        </a-input><br /><br />
        <a-input-password class="password-input" size="large" placeholder="Password" v-model="userPwd"/>
        <div class="text-left">
          <a href="">Reset password</a>
        </div>
        <a-row class="remember-me pt-2">
          <a-col :span="12" class="re-me">
            <span class="text-while">Remember Me</span>
          </a-col>
          <a-col :span="12" class="switch">
            <a-switch default-checked @change="onChange" />
          </a-col>
        </a-row>

        <a-row class="login">
          <p @click="emitLogin">LOGIN</p>
        </a-row><br />
        <span class="line-or" style="text-align: center; color: #ffffff">OR</span><br /><br />
        <a-row class="login-social">
          <a-col :span="24">
            <a class="login-facebook" href="#" @click="hideLogin">
              <a-icon class="icon-btn-login" type="facebook" />
              Continue with Facebook
            </a>
          </a-col>
          <a-col :span="24">
            <a class="login-google" href="#" @click="hideLogin">
              <a-icon class="icon-btn-login" type="google" />
              Continue with Google</a
            >
          </a-col>
        </a-row>
        <a-row class="mt-3">
          <span style="color: #525252; font-weight: 600">Don't have an account ? </span>
          <b style="text-align: center; color: #ffffff; font-weight: 500">
            <a style="color: #fff" href="#" @click="openRegister">Sign Up</a>
          </b>
        </a-row>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    authType: String
  },
  data() {
    return {
      userName: '',
      userPwd: ''
    };
  },
  methods: {
    hideLogin() {
      this.$emit("hideLogin");
    },
    onChange() {},
    openRegister() {
      this.$emit("openRegister");
    },
    emitLogin() {
      if (!this.userName || !this.userPwd) return;

      this.$emit('callServiceLogin', {username: this.userName, password: this.userPwd, type_login: 'n'});
      this.hideLogin();
    }
  },
  computed: {
    backgroundAuth: function() {
      return this.authType === "login" ? "background-auth" : "";
    }
  }
};
</script>

<style scoped>
.background-auth {
  width: 100%;
  height: 100%;
  background: #000000cc;
  position: absolute;
}
.dialog-l {
  width: 420px;
  height: 600px;
  max-height: 90vh;
  border-radius: 10px;
  color: #fff;
  background-color: #000000;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  padding-left: 42px;
  padding-right: 42px;
  padding-top: 20px;
  text-align: center;
  z-index: 9999;
}
.login p {
  border: 1px solid #0c9f25;
  background: #0c9f25;
  border-radius: 25px;
  color: #fff;
  font-weight: bold;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
.login p:hover {
  color: #fff;
  opacity: 0.8;
  transition: 0.3s;
}
.username-input >>> input {
  background: #646464 !important;
  border: unset;
  color: #fff;
}
.password-input >>> input {
  background: #646464 !important;
  border: unset;
  color: #fff;
}
.ant-input-suffix i {
  color: #fff;
  font-size: 14px;
}
.text-left {
  text-align: left;
  margin: 10px 0;
}
.login-social .login-facebook {
  width: 100%;
  display: inline-block;
  padding: 10px 0;
  border: 1px solid #fff;
  border-radius: 25px;
  font-weight: 600;
  color: #fff;
}
.login-social .login-google {
  width: 100%;
  display: inline-block;
  padding: 10px 0;
  border: 1px solid #fff;
  border-radius: 25px;
  font-weight: 600;
  margin-top: 15px;
  color: #fff;
}
.login-facebook .icon-btn-login {
  position: absolute;
  left: 25px;
  top: 13px;
  font-size: 18px;
}
.login-google .icon-btn-login {
  position: absolute;
  left: 25px;
  top: 28px;
  font-size: 18px;
}
.line-or::before {
  content: "";
  width: 30%;
  border-bottom: 1px solid #fff;
  display: inline-block;
  content: "";
  border-top: 0.3rem solid black;
  transform: translateY(-0.3rem);
  position: absolute;
  left: 38px;
  margin-top: 10px;
}
.line-or::after {
  content: "";
  width: 30%;
  border-bottom: 1px solid #fff;
  display: inline-block;
  content: "";
  border-top: 0.3rem solid black;
  transform: translateY(-0.3rem);
  position: absolute;
  right: 38px;
  margin-top: 10px;
}
.remember-me {
  margin-bottom: 20px;
}
.text-while {
  color: #fff;
}
.re-me {
  text-align: left;
}
.re-me span {
  font-weight: 600;
}
.switch {
  text-align: right;
}
.switch .ant-switch-checked {
  background-color: #0c9f25;
}
@media only screen and (max-width: 768px) {
  .dialog-l {
    width: 350px;
    height: 650px;
    border-radius: 5px;
    background-color: #000000;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 20px;
    text-align: center;
  }
  .login {
    background: #ffffff;
    padding-top: 10px;
    padding-bottom: 10px;
    display: block;
    border-radius: 10px;
    color: #000000;
    font-weight: bold;
  }
}
</style>
